Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Class RetryOnClassAndMethodServiceNoAnnotationMethodOverride

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassAndMethodService
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryOnClassAndMethodServiceNoAnnotationMethodOverride

All Implemented Interfaces:
  `RetryService`

@RequestScoped public class RetryOnClassAndMethodServiceNoAnnotationMethodOverride extends BaseRetryOnClassAndMethodService

## Constructor Summary

Constructors
Constructor
Description
`RetryOnClassAndMethodServiceNoAnnotationMethodOverride()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassAndMethodService

`delegate, getNumberOfServiceCalls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryOnClassAndMethodServiceNoAnnotationMethodOverride

public RetryOnClassAndMethodServiceNoAnnotationMethodOverride()

## Method Details

### service

public Connection service()

Specified by:
  `service` in interface `RetryService`
Overrides:
  `service` in class `BaseRetryOnClassAndMethodService`